Subject: Re: Problems with Insigt and cygwin1.dll
From: "Pavel Kudrna" <[email-masked]>
To: "Sourceware Mail List" <[email-masked]>, "Insight Mail list" <[email-masked]>
Date: Tue, 21 Mar 2000 09:29:34 +0100

I have also the unresolved problem with crash of another program in 
_size_of_stack_reserve__ (). So I can help with the fact that this 
function you can find in ld.exe. But also I have to repeat your 
(maybe not expressed) question how to debug into the .dll? Can 
anybody at least say that it's not possible?

Pavel Kudrna

On 20 Mar 00, at 22:47, Andy Hare wrote:

> First of all, apologies for those of you who see this message in both mail
> lists but I am not sure if the problem is in insight or cygwin1.dll.
> 
> When I run a cross version of Insight (ARM based snapshot from 14/3/00)
> under b20.1 under NT4.0 using the latest cygwin1.dll (18/3/00) while single
> stepping I get an exception and the system stops responding. Below is the
> contents of the stackdump that is generated;
> 
> Exception: STATUS_ACCESS_VIOLATION at eip=61036620
> eax=00000000 ebx=0A436B18 ecx=00000000 edx=029ABAB8 esi=00000001
> edi=00000004
> ebp=029ABA38 esp=029AB9C0
> program=C:\cygnus\xgcc-arm\insight\bin\arm-elf-gdb.exe
> cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 029ABA38  61035EA9  (029ABAB8, 029ABBA0, 029ABA70, 029ABA60)
> 029ABB58  61035EA9  (00000004, 029ABBA0, 029ABA70, 00000000)
> 029ABBA8  004FCAFD  (0059E550, 00000200, 00000001, 00000000)
> 029ABBD8  004FB9C2  (0A409348, 00000001, 00000001, 610739F0)
> 029ABC08  004F9677  (00579D30, 00000000, 029ABC44, 00000001)
> 029ABC48  004F4194  (00000001, 029ABC84, 029ABC88, 004F96D6)
> 029ABC88  004F453B  (00000001, 0A436AF8, 029ABCC8, 004FB278)
> 029ABCC8  004F46FE  (029ABD20, 029ABD24, 029ABD28, 029ABD2C)
> 029ABD38  004F5ADA  (0200122C, 00000001, 029ABD68, 004F6161)
> 029ABD68  004D19C1  (02018248, 029ABDA4, 00000001, 029ABDA4)
> 029ABDA8  004D1393  (FFFFFFFF, 00000001, 00000000, 00431A81)
> 029ABDE8  00431B25  (00000001, 00000000, 029ABE18, 00433393)
> 029ABE18  004333F2  (029ABEC8, 00000001, 029ABE98, 00432E74)
> 029ABE98  00432E80  (029ABEC8, 029ABEC8, 029ABEE8, 004D1393)
> 029ABF48  00431EE1  (00000001, 00000001, 00000000, 00431BAD)
> 029ABF68  00431D51  (FFFFFFFF, 00000050, 00000001, 0042D9CC)
> End of stack trace (more stack frames may be present)
> 
> The given address appears to live in cygwin1.dll. Running insight under GDB
> reveals that the program received a signal SIGSEGV, segmentation fault at
> address 0x61036620 in _size_of_stack_reserve__ (). This address is in the
> cygwin1.dll address space according to listdlls.exe So I downloaded the
> source code for cygwin1.dll to try and find this function so that I could
> back trace the offending code and maybe fix the problem. however I cannot
> find in any of the source code this function or label. I have used grep to
> look for this in both the Insight code base and that for cygwin1.dll. Can
> anyone tell me where this function is coming from and how  I can track the
> problem back. I am happy to try and find the problem but I need to know
> where this function exists.
> 
> The problem only manifests itself when stepping through code on an ANGEL
> target if the target code is just run then the problem does not occur.
> 
> Any pointers or help will be greatly appreciated and I will report back with
> any findings especially if I can find the problem and fix it.
> 
> Andy Hare
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]